package com.inca.npbusi.saset.bms_sa_rec_offset.entity;

import com.inca.np.auth.Userruninfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.util.DecimalHelper;
import com.inca.np.util.SelectHelper;
import com.inca.np.util.UpdateHelper;
import java.io.Serializable;
import java.sql.Connection;

public class SaSettleDtl implements Serializable {
   private static final long serialVersionUID = -7422694001394960902L;
   private Connection a;
   private Userruninfo b;
   private String c;
   private String d;
   private String e;
   private String f;
   private String g;

   public Userruninfo getUserInfo() {
      return this.b;
   }

   public void setUserInfo(Userruninfo var1) {
      this.b = var1;
   }

   public String getTotalRecQty() {
      return this.d;
   }

   public void setTotalRecQty(String var1) {
      if (this.d != null) {
         var1 = DecimalHelper.add(this.d, var1, 6);
         String var2 = "update bms_sa_settle_dtl set totalRecQty = ? where saSettleDtlID = ?";
         UpdateHelper var3;
         (var3 = new UpdateHelper(var2)).bindParam(var1);
         var3.bindParam(this.c);
         var3.executeUpdate(this.a);
         this.d = var1;
      }
   }

   public String getTotalRecMoney() {
      return this.e;
   }

   public void setTotalRecMoney(String var1) {
      if (this.e != null) {
         var1 = DecimalHelper.add(this.e, var1, 2);
         String var2 = "update bms_sa_settle_dtl set totalRecMoney = ? where saSettleDtlID = ?";
         UpdateHelper var3;
         (var3 = new UpdateHelper(var2)).bindParam(var1);
         var3.bindParam(this.c);
         var3.executeUpdate(this.a);
         this.e = var1;
      }
   }

   public String getTotalLine() {
      return this.f;
   }

   public void setTotalLine(String var1) {
      this.f = var1;
   }

   public String getRecFinFlag() {
      return this.g;
   }

   public void setRecFinFlag(String var1) {
      if (this.f != null) {
         if (!this.g.equals("2")) {
            String var2;
            UpdateHelper var5;
            if (this.f.equals(this.e)) {
               var1 = "1";
            } else {
               var1 = "0";
               var2 = "select * from bms_sa_settle_dtl_tmp where sasettledtlid = ? for update";
               SelectHelper var3;
               (var3 = new SelectHelper(var2)).bindParam(this.c);
               DBTableModel var4;
               if ((var4 = var3.executeSelect(this.a, 0, 1)) != null && var4.getRowCount() == 0) {
                  var2 = "insert into bms_sa_settle_dtl_tmp values(?)";
                  (var5 = new UpdateHelper(var2)).bindParam(this.c);
                  var5.executeUpdate(this.a);
               }
            }

            var2 = "update bms_sa_settle_dtl set recFinFlag = ? where saSettleDtlID = ?";
            (var5 = new UpdateHelper(var2)).bindParam(var1);
            var5.bindParam(this.c);
            var5.executeUpdate(this.a);
            this.g = var1;
         }
      }
   }

   public Connection getCon() {
      return this.a;
   }

   public void setCon(Connection var1) {
      this.a = var1;
   }

   public String getSaSettleDtlID() {
      return this.c;
   }

   public void setSaSettleDtlID(String var1) {
      this.c = var1;
   }

   public SaSettleDtl(Connection var1, Userruninfo var2, String var3) {
      this.a = var1;
      this.b = var2;
      this.c = var3;
      String var5 = "select totalRecQty,totalRecMoney,total_line,recfinflag  from bms_sa_settle_dtl  where sasettledtlid = " + var3 + " for update";
      DBTableModel var4;
      if ((var4 = (new SelectHelper(var5)).executeSelect(var1, 0, 1)) != null && var4.getRowCount() != 0) {
         this.d = var4.getItemValue(0, "totalrecqty");
         this.e = var4.getItemValue(0, "totalRecMoney");
         this.f = var4.getItemValue(0, "total_line");
         this.g = var4.getItemValue(0, "recfinflag");
      } else {
         throw new Exception("生成销售结算单细单对象错误");
      }
   }

   public SaSettleDtl() {
   }
}
